Bug Hunting Session
Bug 57341 - Modal dialogs are a horrible user experience
Summary: Modal dialogs are a horrible user experience
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-20 20:39 UTC by Dave Yost
Modified: 2015-03-14 01:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Yost 2012-11-20 20:39:44 UTC
For example, to change a paragraph or character attribute, I have to open up a modal dialog, tweak some stuff, then click OK before I see what it looks like. Then to tweak it again, I have to open the modal dialog again.

You should learn from Adobe's products, such as Photoshop, and especially from Apple's iWork apps, which use modeless palettes for just about everything. It is a much more efficient and nice way to work.

Modal dialogs to modify properties is a very outmoded approach. Amazing that Microsoft Office is still that way! LibreOffice could compete with Microsoft Office by taking this on.
Comment 1 Dave Yost 2012-11-20 20:44:39 UTC
I realize that toolbars are modeless. That's good. But all of the functionality currently available in modal dialogs should be made available modelessly, and those modal dialogs should cease to exist or cease to be modal.
Comment 2 Adolfo Jayme 2013-12-25 10:31:11 UTC
This bug should be at least lessened with the sidebar (optional feature). We still have dialogs for complete functionality, though — I’m not sure we want to cramp everything in it.
Comment 3 Tin Man 2013-12-27 12:50:27 UTC
Agreed with Dave.
This is definitely something to think about and tackle.

@Adolfo: iWork Pages has avoided most dialogs with its Inspector, and even Microsoft Office manages to cram most of its dialog functions into the ribbon, so I would say it's definitely possible. It's also not good for discoverability to spread features out among tons of UI elements. Ideally, we should have the toolbar for quick access and the sidebar for all properties.
Comment 4 Heiko Tietze 2015-03-08 09:47:15 UTC
I don't agree with the Dave in his general notion. Modal dialogs structure the workflow, improve safety, and are a common interaction method. However, there are some use cases where modeless interaction is desirable. Libreoffice introduced sidebars therefore that offer all flexibility. So I think this ticket can be closed.
Comment 5 Jean-Baptiste Faure 2015-03-11 05:40:18 UTC
I think RESOLVED - NOTABUG would be a better status here.
FIXED is usually used when we can link to an identified commit fixing the problem.

Best regards. JBF
Comment 6 Dave Yost 2015-03-11 06:04:11 UTC
Heiko Tietze and Jean-Baptiste Faure,
are you the final arbiters of UI design for this project?
Comment 7 Heiko Tietze 2015-03-11 08:32:03 UTC
Dave, do you want to reopen the ticket or continue discussion? Arbitrations are not final.

@JBF: Of course ;-)
Comment 8 Dave Yost 2015-03-11 08:41:34 UTC
It's up to you guys. I don't use this product anymore, and I doubt I ever will.

I can only deduce that you didn't understand the description I wrote for this bug and have never used a modern UI that has modeless panels as I describe because if you had, then you couldn't possibly be arguing for modal dialogs in this part of the UI.
Comment 9 Jean-Baptiste Faure 2015-03-11 09:32:32 UTC
Hi Dave,
Please, read more carefully comment #4: sidebar is not modal.

Best regards. JBF
Comment 10 Adolfo Jayme 2015-03-11 14:19:56 UTC
(In reply to Dave Yost from comment #8)
> It's up to you guys. I don't use this product anymore, and I doubt I ever
> will. [ETC, ETC]

OK. I’m unsubscribing the UX-Advise list since I don’t want to receive ignorant, bitching comments like this, in which you are putting us all in the same boat. Sometimes it’s hard to tolerate this abuse.
Comment 11 Adolfo Jayme 2015-03-14 01:36:04 UTC
Excerpt from the Design hangout minutes (2015-03-11) [1]:

[…]

* Modal dialogs bug (Heiko)
 
    + https://bugs.documentfoundation.org/show_bug.cgi?id=57341
    + the bug as it is there is non-actionable (Kendy)
        + we need concrete problems - dialog XY should not be modal because of AB (Kendy)
        + welcome to consider such concrete bug reports (Kendy)
    + consensus: Close this one as INVALID or NOTABUG

[…]

[1]: http://lists.freedesktop.org/archives/libreoffice/2015-March/066998.html